package com.yijia.label.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * 标签规则明细对象 label_rule_detail
 * 
 * @author yijia
 * @date 2021-06-15
 */
public class LabelRuleDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 标签规则明细id */
    private Long id;

    /** 标签主表id */
    @Excel(name = "标签主表id")
    private Integer parentId;

    /** 油品名称 */
    @Excel(name = "油品名称")
    private String oilName;

    /** 优惠条件当为1按金额优惠；2按升数优惠 */
    @Excel(name = "优惠条件当为1按金额优惠；2按升数优惠")
    private String discountTerm;

    /** 优惠条件（满多少升、满多少元） */
    @Excel(name = "优惠条件", readConverterExp = "满=多少升、满多少元")
    private String discountLitersAmt;

    /** 优惠金额 */
    @Excel(name = "优惠金额")
    private String discountAmt;

    /** 删除标识 1是 0 否 */
    private String delFlag;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public void setParentId(Integer parentId)
    {
        this.parentId = parentId;
    }

    public Integer getParentId() 
    {
        return parentId;
    }
    public void setOilName(String oilName) 
    {
        this.oilName = oilName;
    }

    public String getOilName() 
    {
        return oilName;
    }
    public void setDiscountTerm(String discountTerm) 
    {
        this.discountTerm = discountTerm;
    }

    public String getDiscountTerm() 
    {
        return discountTerm;
    }
    public void setDiscountLitersAmt(String discountLitersAmt) 
    {
        this.discountLitersAmt = discountLitersAmt;
    }

    public String getDiscountLitersAmt() 
    {
        return discountLitersAmt;
    }
    public void setDiscountAmt(String discountAmt) 
    {
        this.discountAmt = discountAmt;
    }

    public String getDiscountAmt() 
    {
        return discountAmt;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("parentId", getParentId())
            .append("oilName", getOilName())
            .append("discountTerm", getDiscountTerm())
            .append("discountLitersAmt", getDiscountLitersAmt())
            .append("discountAmt", getDiscountAmt())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
